Request

Response

    PATCH

    models/{modelID}/stream-configs

    Bulk update stream configurations. Full stream configuration for each stream must be included in the request, not just the updated fields. Recommended approach is to first retrieve the current stream configurations using the GET /stream-configs endpoint, modify the desired fields, and then send the complete configurations back using this PATCH endpoint.

    Resource Information

    Method and URI
    PATCH
    https://developer.api.autodesk.com/tandem/v1/models/{modelID}/stream-configs
    Authentication Context
    user context optional
    Required OAuth Scopes
    data:write
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is a two-legged access token obtained via a Client Credentials Grant flow, or a three-legged access token obtained via Authorization Code flow, Authorization Code flow with PKCE, or Secure Service Account flow (for headless scenarios).
    Content-Type*
    string
    Must be application/json
    * Required

    Request

    URI Parameters

    modelID
    string
    Model URN

    Request

    Body Structure

    Stream configurations request with description

    Expand all
    description
    string
    streamConfigs
    array: object
    elementId
    string
    streamSettings
    object
    calculationSettings
    object
    *
    object
    clientExpr
    string
    for x representation of the expression
    enabled
    boolean
    expr
    string
    freq
    int
    in milliseconds
    statusCode
    string
    status code explaining why the stream calculation is disabled
    vars
    object
    *
    object
    maxLookback
    int
    in milliseconds
    sourceIdentifiers
    array: object
    attr
    string
    elem
    string
    offlineTimeout
    int
    sourceMapping
    object
    *
    object
    path
    string
    ts
    string
    thresholds
    object
    *
    object
    alertDefinition
    object
    evaluationPeriodSec
    int
    lower
    object
    alert
    number
    warn
    number
    name
    string
    schema
    string
    upper
    object
    alert
    number
    warn
    number

    Response

    HTTP Status Code Summary

    200
    OK
    OK
    400
    Bad Request
    The service was unable to process the request. The syntax of the request may be malformed or the request may be missing a required header. Do not resend the request without fixing the issue. The response body may indicate what is wrong with the request.
    403
    Forbidden
    The request was successfully validated but it did not have the required permissions.
    500
    Internal Server Error
    The service encountered an error that it was unable to handle. Wait for a few minutes and resend the request. If the error persists, contact us at aps.help@autodesk.com.

    Response

    Body Structure (200)

    timestamp
    int
    timestamp of when exactly change was applied

    Example 1

    Updates stream configuration for multiple streams - adds thresholds. NOTE: full stream configuration for each stream must be included in the request, not just the updated fields.

    curl -v 'https://developer.api.autodesk.com/api/v1/models/urn:adsk.dtm:d5eZt_XtRzqUHT93-vNZxw/stream-configs' \
      -X 'PATCH' \
      -H 'Authorization: Bearer eyJhbGciOiJSUzI1NiIsIm....' \
      -H 'Content-Type: application/json' \
      -d '{
        "description": "Update stream thresholds",
        "streamConfigs": [
          {
            "elementId": "AQAAACDvoRcbj0tHoJpnSOM0Z-kAAAAA",
            "streamSettings": {
              "sourceMapping": {
                "z:Ag": {
                  "path": "temperature",
                  "isShared": true
                }
              },
              "thresholds": {
                "z:Ag": {
                  "name": "Temperature",
                  "lower": {
                    "alert": 15,
                    "warn": 17
                  },
                  "upper": {
                    "warn": 23,
                    "alert": 25
                  },
                  "alertDefinition": {
                    "evaluationPeriodSec": 600
                  }
                }
              },
              "offlineTimeout": 900
            }
          },
          {
            "elementId": "AQAAAE3Nu-G4TEaZnzfL60T1YTQAAAAA",
            "streamSettings": {
              "sourceMapping": {
                "z:Ag": {
                  "path": "temperature",
                  "isShared": true
                }
              },
              "thresholds": {
                "z:Ag": {
                  "name": "Temperature",
                  "lower": {
                    "alert": 15,
                    "warn": 17
                  },
                  "upper": {
                    "warn": 23,
                    "alert": 25
                  },
                  "alertDefinition": {
                    "evaluationPeriodSec": 600
                  }
                }
              },
              "offlineTimeout": 900
            }
          }
        ]'
    
    Show More

    Response

    {
        "timestamp": 1770051841066
    }